Page MenuHomePhabricator

Refactor EntityRevisionLookup::LATEST_FROM_* to LookupConstants::
Closed, ResolvedPublic

Description

During work in T251878 the requirement to pass a lookupMode down to
RevisionBasedEntityLookup with the changes going all the way down to the
Store. During discussions the consensus was that Store should not have a
dependency to a constant in EntityRevisionLookup, hence the constants
should move to the LookupConstants.

Event Timeline

toan created this task.Jun 4 2020, 9:20 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 4 2020, 9:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 602361 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/WikibaseLexeme@master] Refactor EntityRevisionLookup::LATEST_FROM

https://gerrit.wikimedia.org/r/602361

Change 602369 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/WikibaseQualityConstraints@master] WBQualityConstraints: Refactor LATEST_FROM_ to Store

https://gerrit.wikimedia.org/r/602369

Change 602279 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/Wikibase@master] Refactor LATEST_FROM_* to Store interface.

https://gerrit.wikimedia.org/r/602279

Change 602361 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Refactor EntityRevisionLookup::LATEST_FROM

https://gerrit.wikimedia.org/r/602361

Change 602369 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] WBQualityConstraints: Refactor LATEST_FROM_ to Store

https://gerrit.wikimedia.org/r/602369

Change 602603 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/WikibaseMediaInfo@master] Refactor LATEST_FROM_* to Store interface.

https://gerrit.wikimedia.org/r/602603

Change 602603 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Refactor LATEST_FROM_* to Store interface.

https://gerrit.wikimedia.org/r/602603

Change 602660 had a related patch set uploaded (by Tobias Andersson; owner: Tobias Andersson):
[mediawiki/extensions/WikibaseMediaInfo@master] Refactor LATEST_FROM_* to Store interface.

https://gerrit.wikimedia.org/r/602660

Change 602660 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Refactor LATEST_FROM_* to Store interface.

https://gerrit.wikimedia.org/r/602660

Change 602279 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Refactor LATEST_FROM_* to LookupCnstants

https://gerrit.wikimedia.org/r/602279

toan renamed this task from Refactor EntityRevisionLookup::LATEST_FROM_* to Store interface. to Refactor EntityRevisionLookup::LATEST_FROM_* to LookupConstants::.Jun 5 2020, 9:57 PM
toan updated the task description. (Show Details)
Addshore closed this task as Resolved.Jun 11 2020, 9:08 AM